- Main Page
- Namespaces
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Ipopt::RestoConvergenceCheck Class Reference

Convergence check for the restoration phase. More...

`#include <IpRestoConvCheck.hpp>`

Inheritance diagram for Ipopt::RestoConvergenceCheck:

[legend]
Collaboration diagram for Ipopt::RestoConvergenceCheck:

[legend]
List of all members.

## Public Member Functions
virtual bool | InitializeImpl (const OptionsList &options, const std::string &prefix)
| overloaded from AlgorithmStrategyObject
virtual ConvergenceStatus | CheckConvergence (bool call_intermediate_callback=true)
| overloaded from ConvergenceCheck
virtual void | SetOrigLSAcceptor (const BacktrackingLSAcceptor &orig_ls_acceptor)=0
| Method for setting the LS acceptor from the main algorithm.
Constructors/Destructors
| RestoConvergenceCheck ()
| Default Constructor.
virtual | ~RestoConvergenceCheck ()
| Default destructor.
## Static Public Member Functions
static void | RegisterOptions (SmartPtr< RegisteredOptions > roptions)
| Methods used by IpoptType.
## Private Member Functions
virtual ConvergenceStatus | TestOrigProgress (Number orig_trial_barr, Number orig_trial_theta)=0
| Method for checking progress with original globalization mechanism.
Default Compiler Generated Methods (Hidden to avoid
implicit creation/calling). These methods are not implemented and we do not want the compiler to implement them for us, so we declare them private and do not define them. This ensures that they will not be implicitly created/called.
| RestoConvergenceCheck (const RestoConvergenceCheck &)
| Copy Constructor.
void | operator= (const RestoConvergenceCheck &)
| Overloaded Equals Operator.
## Private Attributes
bool | first_resto_iter_
| Flag indicating that this is the first call.
Index | successive_resto_iter_
| Counter for successive iterations in restoration phase.
Algorithmic parameters
Number | kappa_resto_
| Fraction of required reduction in infeasibility before problem is considered to be solved.
Index | maximum_iters_
| Maximum number of iterations in restoration phase.
Index | maximum_resto_iters_
| Maximum number of succesive iterations in restoration phase.

## Detailed Description

Convergence check for the restoration phase.

This inherits from the OptimalityErrorConvergenceCheck so that the method for the regular optimality error convergence criterion can be checked as well. In addition, this convergence check returns the CONVERGED message, if the current iteration is acceptable to the original globalization scheme.

Definition at line 29 of file IpRestoConvCheck.hpp.

## Constructor & Destructor Documentation

Ipopt::RestoConvergenceCheck::RestoConvergenceCheck | ( |  | ) |

Default Constructor.

virtual Ipopt::RestoConvergenceCheck::~RestoConvergenceCheck | ( |  | ) | `[virtual]`

Default destructor.

Ipopt::RestoConvergenceCheck::RestoConvergenceCheck | ( | const RestoConvergenceCheck & |  | ) | `[private]`

Copy Constructor.

## Member Function Documentation

virtual bool Ipopt::RestoConvergenceCheck::InitializeImpl | ( | const OptionsList & | options,
|  | const std::string & | prefix |
| ) |  |  | `[virtual]`

overloaded from AlgorithmStrategyObject

Reimplemented from Ipopt::OptimalityErrorConvergenceCheck.

Reimplemented in Ipopt::RestoFilterConvergenceCheck, and Ipopt::RestoPenaltyConvergenceCheck.

virtual ConvergenceStatus Ipopt::RestoConvergenceCheck::CheckConvergence | ( | bool | call_intermediate_callback = `true` | ) | `[virtual]`

overloaded from ConvergenceCheck

Reimplemented from Ipopt::OptimalityErrorConvergenceCheck.

virtual void Ipopt::RestoConvergenceCheck::SetOrigLSAcceptor | ( | const BacktrackingLSAcceptor & | orig_ls_acceptor | ) | `[pure virtual]`

Method for setting the LS acceptor from the main algorithm.

Implemented in Ipopt::RestoFilterConvergenceCheck, and Ipopt::RestoPenaltyConvergenceCheck.

static void Ipopt::RestoConvergenceCheck::RegisterOptions | ( | SmartPtr< RegisteredOptions > | roptions | ) | `[static]`

Methods used by IpoptType.

Reimplemented from Ipopt::OptimalityErrorConvergenceCheck.

Reimplemented in Ipopt::RestoFilterConvergenceCheck, and Ipopt::RestoPenaltyConvergenceCheck.

void Ipopt::RestoConvergenceCheck::operator= | ( | const RestoConvergenceCheck & |  | ) | `[private]`

Overloaded Equals Operator.

virtual ConvergenceStatus Ipopt::RestoConvergenceCheck::TestOrigProgress | ( | Number | orig_trial_barr,
|  | Number | orig_trial_theta |
| ) |  |  | `[private, pure virtual]`

Method for checking progress with original globalization mechanism.

This needs to be overloaded

Implemented in Ipopt::RestoFilterConvergenceCheck, and Ipopt::RestoPenaltyConvergenceCheck.

## Member Data Documentation

Number Ipopt::RestoConvergenceCheck::kappa_resto_`[private]`

Fraction of required reduction in infeasibility before problem is considered to be solved.

Definition at line 79 of file IpRestoConvCheck.hpp.

Index Ipopt::RestoConvergenceCheck::maximum_iters_`[private]`

Maximum number of iterations in restoration phase.

Definition at line 81 of file IpRestoConvCheck.hpp.

Index Ipopt::RestoConvergenceCheck::maximum_resto_iters_`[private]`

Maximum number of succesive iterations in restoration phase.

Definition at line 83 of file IpRestoConvCheck.hpp.

bool Ipopt::RestoConvergenceCheck::first_resto_iter_`[private]`

Flag indicating that this is the first call.

We don't want to leave the restoration phase without taking at least one step, so this flag is used to ensure this.

Definition at line 89 of file IpRestoConvCheck.hpp.

Index Ipopt::RestoConvergenceCheck::successive_resto_iter_`[private]`

Counter for successive iterations in restoration phase.

Definition at line 92 of file IpRestoConvCheck.hpp.

The documentation for this class was generated from the following file:

- /home/coin/SVN-release/Ipopt-3.5.1/Ipopt/src/Algorithm/IpRestoConvCheck.hpp